Playbook-API
  1. Core Endpoints
Playbook-API
  • Global
    • Overview
    • Base URL (Servers)
    • Authentication
    • Rate Limits + Usage
    • Errors
    • League / sportKey Conventions
    • Support
  • Core Endpoints
    • Health
      GET
    • Me
      GET
    • Teams
      GET
    • Team Stats
      GET
    • Injuries
      GET
    • Splits
      GET
    • Splits (Historical/History)
      GET
    • Odds-Games
      GET
    • Lines
      GET
    • Games
      GET
    • Recent Form
      GET
    • Head-to-Head
      GET
  • MLB
    • Pitcher Stats (Season)
      GET
    • Starting Pitchers
      GET
    • Ballpark Weather
      GET
    • Strikeout Predictor
      GET
  1. Core Endpoints

Head-to-Head

GET
https://api.playbook-api.com/v1/head-to-head
Last modified:2026-01-20 06:48:13
Get historical matchup results between two specific teams.
Examples:
Basic Request - Using Abbreviations
https://api.playbook-api.com/v1/head-to-head?league=nhl&teamA=PIT&teamB=SEA&api_key=YOUR_API_KEY

Request

Query Params

Header Params

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.playbook-api.com/v1/head-to-head??api_key%3Dyour_api_key&league=nhl&teamA or team=BOS&teamB&limit=10&daysFrom=3' \
--header 'x-api-key: your_api_key;'
Response Response Example
{
    "league": "NHL",
    "teamA": "Pittsburgh Penguins",
    "teamAQuery": "PIT",
    "teamAId": "pit",
    "teamAAbbreviation": "PIT",
    "teamB": "Seattle Kraken",
    "teamBQuery": "SEA",
    "teamBId": "sea",
    "teamBAbbreviation": "SEA",
    "count": 1,
    "updatedAt": "2026-01-20T06:48:35.008Z",
    "season": "2025-26",
    "recordInSpan": {
        "teamAWins": 1,
        "teamBWins": 0,
        "ties": 0
    },
    "avgPointsForA": 6,
    "avgPointsForB": 3,
    "avgMarginA": 3,
    "data": [
        {
            "date": "2026-01-19",
            "commenceTime": "2026-01-19T22:09:00Z",
            "teamAResult": "W",
            "score": "6-3",
            "teamAScore": 6,
            "teamBScore": 3,
            "margin": "+3",
            "totalPoints": 9,
            "teamAHomeAway": "away",
            "homeTeamName": "Seattle Kraken",
            "awayTeamName": "Pittsburgh Penguins",
            "homeScore": 3,
            "awayScore": 6,
            "completed": true
        }
    ]
}
Modified at 2026-01-20 06:48:13
Previous
Recent Form
Next
Pitcher Stats (Season)
Built with